Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/ClassificationEnsembleSolutionEstimatedClassValuesView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/ClassificationEnsembleSolutionEstimatedClassValuesView.cs	(revision 7021)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/ClassificationEnsembleSolutionEstimatedClassValuesView.cs	(revision 7022)
@@ -24,4 +24,5 @@
 using System.Linq;
 using System.Windows.Forms;
+using HeuristicLab.Common;
 using HeuristicLab.Data;
 using HeuristicLab.MainForm;
@@ -96,6 +97,6 @@
 
       int classValuesCount = Content.ProblemData.ClassValues.Count;
-      int modelCount = Content.Model.Models.Count();
-      string[,] values = new string[indizes.Length, 5 + classValuesCount + modelCount];
+      int solutionsCount = Content.ClassificationSolutions.Count();
+      string[,] values = new string[indizes.Length, 5 + classValuesCount + solutionsCount];
       double[] target = Content.ProblemData.Dataset.GetDoubleValues(Content.ProblemData.TargetVariable).ToArray();
       List<List<double?>> estimatedValuesVector = GetEstimatedValues(SamplesComboBox.SelectedItem.ToString(), indizes,
@@ -107,22 +108,23 @@
         values[i, 1] = target[i].ToString();
         //display only indices and target values if no models are present
-        if (i >= estimatedClassValues.Length) continue;
-
-        values[i, 2] = estimatedClassValues[i].ToString();
-        values[i, 3] = (target[i] == estimatedClassValues[i]).ToString();
-        var groups = estimatedValuesVector[i].GroupBy(x => x).Select(g => new { Key = g.Key, Count = g.Count() }).ToList();
-        var estimationCount = groups.Where(g => g.Key != null).Select(g => g.Count).Sum();
-        values[i, 4] = (((double)groups.Where(g => g.Key == estimatedClassValues[i]).Single().Count) / estimationCount).ToString();
-        for (int classIndex = 0; classIndex < Content.ProblemData.ClassValues.Count; classIndex++) {
-          var group = groups.Where(g => g.Key == Content.ProblemData.ClassValues[classIndex]).SingleOrDefault();
-          if (group == null) values[i, 5 + classIndex] = 0.ToString();
-          else values[i, 5 + classIndex] = group.Count.ToString();
+        if (solutionsCount > 0) {
+          values[i, 2] = estimatedClassValues[i].ToString();
+          values[i, 3] = (target[i].IsAlmost(estimatedClassValues[i])).ToString();
+          var groups =
+            estimatedValuesVector[i].GroupBy(x => x).Select(g => new { Key = g.Key, Count = g.Count() }).ToList();
+          var estimationCount = groups.Where(g => g.Key != null).Select(g => g.Count).Sum();
+          values[i, 4] =
+            (((double)groups.Where(g => g.Key == estimatedClassValues[i]).Single().Count) / estimationCount).ToString();
+          for (int classIndex = 0; classIndex < Content.ProblemData.ClassValues.Count; classIndex++) {
+            var group = groups.Where(g => g.Key == Content.ProblemData.ClassValues[classIndex]).SingleOrDefault();
+            if (group == null) values[i, 5 + classIndex] = 0.ToString();
+            else values[i, 5 + classIndex] = group.Count.ToString();
+          }
+          for (int modelIndex = 0; modelIndex < estimatedValuesVector[i].Count; modelIndex++) {
+            values[i, 5 + classValuesCount + modelIndex] = estimatedValuesVector[i][modelIndex] == null
+                                                             ? string.Empty
+                                                             : estimatedValuesVector[i][modelIndex].ToString();
+          }
         }
-        for (int modelIndex = 0; modelIndex < estimatedValuesVector[i].Count; modelIndex++) {
-          values[i, 5 + classValuesCount + modelIndex] = estimatedValuesVector[i][modelIndex] == null
-                                                           ? string.Empty
-                                                           : estimatedValuesVector[i][modelIndex].ToString();
-        }
-
       }
 