Index: /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/HeuristicLab.Problems.DataAnalysis.Benchmarks-3.4.csproj
===================================================================
--- /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/HeuristicLab.Problems.DataAnalysis.Benchmarks-3.4.csproj	(revision 7030)
+++ /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/HeuristicLab.Problems.DataAnalysis.Benchmarks-3.4.csproj	(revision 7031)
@@ -74,25 +74,25 @@
     <Compile Include="RegressionBenchmarks\Korns\KornFunctionOne.cs" />
     <Compile Include="RegressionBenchmarks\Keijzer\KeijzerFunctionFour.cs" />
-    <Compile Include="RegressionBenchmarks\Nguyen et al\NguyenFunctionTwelve.cs" />
-    <Compile Include="RegressionBenchmarks\Nguyen et al\NguyenFunctionEleven.cs" />
-    <Compile Include="RegressionBenchmarks\Nguyen et al\NguyenFunctionTen.cs" />
-    <Compile Include="RegressionBenchmarks\Nguyen et al\NguyenFunctionNine.cs" />
-    <Compile Include="RegressionBenchmarks\Nguyen et al\NguyenFunctionEight.cs" />
-    <Compile Include="RegressionBenchmarks\Nguyen et al\NguyenFunctionSeven.cs" />
-    <Compile Include="RegressionBenchmarks\Nguyen et al\NguyenFunctionSix.cs" />
-    <Compile Include="RegressionBenchmarks\Nguyen et al\NguyenFunctionFive.cs" />
-    <Compile Include="RegressionBenchmarks\Nguyen et al\NguyenFunctionFour.cs" />
-    <Compile Include="RegressionBenchmarks\Nguyen et al\NguyenFunctionThree.cs" />
-    <Compile Include="RegressionBenchmarks\Nguyen et al\NguyenFunctionTwo.cs" />
-    <Compile Include="RegressionBenchmarks\Nguyen et al\NguyenFunctionOne.cs" />
-    <Compile Include="RegressionBenchmarks\Vladislavleva et al\KotanchekFunction.cs" />
+    <Compile Include="RegressionBenchmarks\Nguyen\NguyenFunctionTwelve.cs" />
+    <Compile Include="RegressionBenchmarks\Nguyen\NguyenFunctionEleven.cs" />
+    <Compile Include="RegressionBenchmarks\Nguyen\NguyenFunctionTen.cs" />
+    <Compile Include="RegressionBenchmarks\Nguyen\NguyenFunctionNine.cs" />
+    <Compile Include="RegressionBenchmarks\Nguyen\NguyenFunctionEight.cs" />
+    <Compile Include="RegressionBenchmarks\Nguyen\NguyenFunctionSeven.cs" />
+    <Compile Include="RegressionBenchmarks\Nguyen\NguyenFunctionSix.cs" />
+    <Compile Include="RegressionBenchmarks\Nguyen\NguyenFunctionFive.cs" />
+    <Compile Include="RegressionBenchmarks\Nguyen\NguyenFunctionFour.cs" />
+    <Compile Include="RegressionBenchmarks\Nguyen\NguyenFunctionThree.cs" />
+    <Compile Include="RegressionBenchmarks\Nguyen\NguyenFunctionTwo.cs" />
+    <Compile Include="RegressionBenchmarks\Nguyen\NguyenFunctionOne.cs" />
+    <Compile Include="RegressionBenchmarks\Vladislavleva\KotanchekFunction.cs" />
     <Compile Include="Generator\RegressionBenchmark.cs" />
-    <Compile Include="RegressionBenchmarks\Vladislavleva et al\RationalPolynomialThreeDimensional.cs" />
-    <Compile Include="RegressionBenchmarks\Vladislavleva et al\RationalPolynomialTwoDimensional.cs" />
-    <Compile Include="RegressionBenchmarks\Vladislavleva et al\RippleFunction.cs" />
-    <Compile Include="RegressionBenchmarks\Vladislavleva et al\SalustowiczFunctionOneDimensional.cs" />
-    <Compile Include="RegressionBenchmarks\Vladislavleva et al\SalustowiczFunctionTwoDimensional.cs" />
-    <Compile Include="RegressionBenchmarks\Vladislavleva et al\SineCosineFunction.cs" />
-    <Compile Include="RegressionBenchmarks\Vladislavleva et al\UnwrappedBallFunctionFiveDimensional.cs" />
+    <Compile Include="RegressionBenchmarks\Vladislavleva\RationalPolynomialThreeDimensional.cs" />
+    <Compile Include="RegressionBenchmarks\Vladislavleva\RationalPolynomialTwoDimensional.cs" />
+    <Compile Include="RegressionBenchmarks\Vladislavleva\RippleFunction.cs" />
+    <Compile Include="RegressionBenchmarks\Vladislavleva\SalustowiczFunctionOneDimensional.cs" />
+    <Compile Include="RegressionBenchmarks\Vladislavleva\SalustowiczFunctionTwoDimensional.cs" />
+    <Compile Include="RegressionBenchmarks\Vladislavleva\SineCosineFunction.cs" />
+    <Compile Include="RegressionBenchmarks\Vladislavleva\UnwrappedBallFunctionFiveDimensional.cs" />
   </ItemGroup>
   <ItemGroup>
Index: /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionEight.cs
===================================================================
--- /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionEight.cs	(revision 7030)
+++ /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionEight.cs	(revision 7031)
@@ -36,5 +36,5 @@
         + "Function Set: x + y, x * y, 1/x, -x, sqrt(x)";
       targetVariable = "F";
-      inputVariables = new List<string>() { "X", "Y", "Z" };
+      inputVariables = new List<string>() { "X" };
       trainingPartition = new IntRange(0, 101);
       testPartition = new IntRange(102, 1103);
Index: /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionFifteen.cs
===================================================================
--- /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionFifteen.cs	(revision 7030)
+++ /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionFifteen.cs	(revision 7031)
@@ -36,5 +36,5 @@
         + "Function Set: x + y, x * y, 1/x, -x, sqrt(x)";
       targetVariable = "F";
-      inputVariables = new List<string>() { "X", "Y", "Z" };
+      inputVariables = new List<string>() { "X", "Y" };
       trainingPartition = new IntRange(0, 20);
       testPartition = new IntRange(21, 621);
Index: /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionSix.cs
===================================================================
--- /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionSix.cs	(revision 7030)
+++ /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionSix.cs	(revision 7031)
@@ -28,10 +28,10 @@
 
     public KeijzerFunctionSix() {
-      Name = "Keijzer 6 f(x) = (30 * x * y) / ((x - 10)  * y^2)";
+      Name = "Keijzer 6 f(x) = (30 * x * z) / ((x - 10)  * y^2)";
       Description = "Paper: Improving Symbolic Regression with Interval Arithmetic and Linear Scaling" + Environment.NewLine
         + "Authors: Maarten Keijzer" + Environment.NewLine
-        + "Function: f(x) = (30 * x * y) / ((x - 10)  * y^2)" + Environment.NewLine
-        + "range(train): 1000 points x,y = rnd(-1, 1), y = rnd(1, 2)" + Environment.NewLine
-        + "range(test): 10000 points x,y = rnd(-1, 1), y = rnd(1, 2)" + Environment.NewLine
+        + "Function: f(x) = (30 * x * z) / ((x - 10)  * y^2)" + Environment.NewLine
+        + "range(train): 1000 points x,z = rnd(-1, 1), y = rnd(1, 2)" + Environment.NewLine
+        + "range(test): 10000 points x,z = rnd(-1, 1), y = rnd(1, 2)" + Environment.NewLine
         + "Function Set: x + y, x * y, 1/x, -x, sqrt(x)";
       targetVariable = "F";
@@ -48,5 +48,5 @@
         y = data[1][i];
         z = data[2][i];
-        results.Add((30 * x * y) / ((x - 10) * Math.Pow(y, 2)));
+        results.Add((30 * x * z) / ((x - 10) * Math.Pow(y, 2)));
       }
       return results;
Index: /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionSixteen.cs
===================================================================
--- /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionSixteen.cs	(revision 7030)
+++ /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionSixteen.cs	(revision 7031)
@@ -36,5 +36,5 @@
         + "Function Set: x + y, x * y, 1/x, -x, sqrt(x)";
       targetVariable = "F";
-      inputVariables = new List<string>() { "X", "Y", "Z" };
+      inputVariables = new List<string>() { "X", "Y" };
       trainingPartition = new IntRange(0, 20);
       testPartition = new IntRange(21, 621);
Index: /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionThirteen.cs
===================================================================
--- /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionThirteen.cs	(revision 7030)
+++ /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionThirteen.cs	(revision 7031)
@@ -36,5 +36,5 @@
         + "Function Set: x + y, x * y, 1/x, -x, sqrt(x)";
       targetVariable = "F";
-      inputVariables = new List<string>() { "X", "Y", "Z" };
+      inputVariables = new List<string>() { "X", "Y" };
       trainingPartition = new IntRange(0, 20);
       testPartition = new IntRange(21, 621);
Index: /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionTwelve.cs
===================================================================
--- /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionTwelve.cs	(revision 7030)
+++ /branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionTwelve.cs	(revision 7031)
@@ -36,5 +36,5 @@
         + "Function Set: x + y, x * y, 1/x, -x, sqrt(x)";
       targetVariable = "F";
-      inputVariables = new List<string>() { "X", "Y", "Z" };
+      inputVariables = new List<string>() { "X", "Y" };
       trainingPartition = new IntRange(0, 20);
       testPartition = new IntRange(21, 621);